### Hierarchy

- Modal

## Index

### Constructors

- constructor

### Properties

- allowClose
- centerContent
- centerVertical
- content
- fadeDuration
- height
- host
- html
- id
- modal
- modalBackground
- modalContent
- modalHeader
- modalTitle
- modalWrapper
- width

### Methods

- componentDidLoad
- componentDidUpdate
- componentWillLoad
- hide
- modalContentChangeHandler
- postRender
- render
- show

## Constructors

### constructor

- new Modal(): Modal

- - Defined in modal/modal.tsx:28

  #### Returns Modal

## Properties

### allowClose

allowClose: string = "true"

- Defined in modal/modal.tsx:28

### centerContent

centerContent: boolean = false

- Defined in modal/modal.tsx:27

### centerVertical

centerVertical: boolean = true

- Defined in modal/modal.tsx:26

### content

content: HTMLElement

- Defined in modal/modal.tsx:11

### fadeDuration

fadeDuration: number = 150

- Defined in modal/modal.tsx:12

### height

height: string

- Defined in modal/modal.tsx:25

### host

host: HTMLElement

- Defined in modal/modal.tsx:18

### html

html: string = ""

- Defined in modal/modal.tsx:20

### id

id: string

- Defined in modal/modal.tsx:10

### modal

modal: HTMLElement

- Defined in modal/modal.tsx:13

### modalBackground

modalBackground: HTMLElement

- Defined in modal/modal.tsx:14

### modalContent

modalContent: string

- Defined in modal/modal.tsx:23

### modalHeader

modalHeader: HTMLElement

- Defined in modal/modal.tsx:16

### modalTitle

modalTitle: string

- Defined in modal/modal.tsx:22

### modalWrapper

modalWrapper: HTMLElement

- Defined in modal/modal.tsx:15

### width

width: string = "80%"

- Defined in modal/modal.tsx:24

## Methods

### componentDidLoad

- componentDidLoad(): void

- - Defined in modal/modal.tsx:67

  #### Returns void

### componentDidUpdate

- componentDidUpdate(): void

- - Defined in modal/modal.tsx:71

  #### Returns void

### componentWillLoad

- componentWillLoad(): void

- - Defined in modal/modal.tsx:63

  #### Returns void

### hide

- hide(): Promise<void>

- - Defined in modal/modal.tsx:49

  #### Returns Promise<void>

### modalContentChangeHandler

- modalContentChangeHandler(): void

- - Defined in modal/modal.tsx:59

  #### Returns void

### postRender

- postRender(): void

- - Defined in modal/modal.tsx:75

  #### Returns void

### render

- render(): any

- - Defined in modal/modal.tsx:128

  #### Returns any

### show

- show(html: string): Promise<void>

- - Defined in modal/modal.tsx:35

  #### Parameters

  - ##### html: string

  #### Returns Promise<void>